[Unit]
Description=Create Kerberos ticket for a user
Wants=network-online.target
After=network-online.target

[Service]
EnvironmentFile=/etc/sysconfig/kerberos-ticket-%I
ExecStart =/bin/kinit ${PRINCIPAL} -R -k -t ${KEYTAB}
Type=oneshot

[Install]
WantedBy=multi-user.target
